Skip to main content
POST
/
v0
/
leverage
/
{marketAddress}
/
openPosition
Leverage Open Position
curl --request POST \
  --url https://kamino.dial.to/api/v0/leverage/{marketAddress}/openPosition \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "transaction",
  "account": "6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176"
}
'
{
  "type": "<unknown>",
  "transaction": "<string>",
  "links": {
    "next": {
      "type": "<string>",
      "href": "<string>"
    }
  },
  "dialectExperimental": {
    "reference": "<string>"
  }
}

Path Parameters

marketAddress
string
default:7u3HeHxYDLhnCoErrtycNokbQYbWGzLs6JSDqGAv5PfF
required

Market public key

Query Parameters

collTokenMint
string
default:So11111111111111111111111111111111111111112
required

Collateral token mint address

debtTokenMint
string
default:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
required

Debt token mint address

side
enum<string>
default:A

The side of the leverage to deposit to

Available options:
A,
B
leverage
number
default:2
required

Leverage multiplier (1.1-10x)

Required range: 1.1 <= x <= 10
amount
number
default:0.1
required

The amount to open position. Human readable value, e.g. 0.1 SOL

Required range: x >= 0
slippage
number
default:0.5
required

Slippage tolerance in percentage (0.1-10%)

Required range: 0.1 <= x <= 10

Body

application/json
type
enum<string>
default:transaction
required
Available options:
transaction
account
string
default:6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
required

The public key of the account that executes the transaction

Response

200 - application/json

OK

type
any
required
transaction
string
required
dialectExperimental
object